Name: scsh
Version: 0.6.2
Release: alt2
Copyright: BSD-like, see COPYING
Group: Development/Other
Source: ftp://ftp.scsh.net/pub/scsh/scsh-%{version}.tar.gz
Url: http://www.scsh.net

Summary: Scheme shell
Summary(ru_RU.CP1251): Scheme Shell

# Automatically added by buildreq on Mon Sep 02 2002
BuildRequires: libelf-devel libpcre gcc textutils

%description
Scsh is a Scheme system designed for writing useful standalone Unix
programs and shell scripts---it spans a wide range of application,
from 'script' applications usually handled with perl or sh,
to more standard systems applications usually written in C.

%description -l ru_RU.CP1251
Scsh    Scheme,    
   Unix     -- 
       , 
  ,    sh  perl,  
  ,     C.

%prep
%setup

%build
./configure --prefix=%{_prefix} --mandir=%{_mandir} --bindir=%{_bindir} --libdir=%{_libdir} --includedir=%{_includedir}
make 

%install
mkdirhier $RPM_BUILD_ROOT%{_bindir}
install -m 755 scsh/scsh $RPM_BUILD_ROOT%{_bindir}

mkdirhier $RPM_BUILD_ROOT%{_mandir}/man1
install -m 644 doc/scsh.man  $RPM_BUILD_ROOT%{_mandir}/man1/scsh.1

mkdirhier $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp COPYING RELEASE INSTALL README $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -R doc/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# delete unneed files
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh.man
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/src/*.tex
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/src/*.dvi
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-manual/*.tex
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-manual/*.sty
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-manual/Makefile
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-manual/*.dvi
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-paper/*.dvi
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-paper/*.tex
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-paper/*.sty
rm $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/scsh-paper/mitlogo.ps


mkdirhier $RPM_BUILD_ROOT%{_includedir}
install -m 644 c/scheme48.h $RPM_BUILD_ROOT%{_includedir}
install -m 644 c/write-barrier.h $RPM_BUILD_ROOT%{_includedir}

mkdirhier $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
cp -R scheme/big $RPM_BUILD_ROOT%{_libdir}/scsh
cp -R scheme/link $RPM_BUILD_ROOT%{_libdir}/scsh
cp -R scheme/env $RPM_BUILD_ROOT%{_libdir}/scsh
cp -R scheme/misc $RPM_BUILD_ROOT%{_libdir}/scsh
cp -R scheme/rts $RPM_BUILD_ROOT%{_libdir}/scsh
cp -R scheme/srfi $RPM_BUILD_ROOT%{_libdir}/scsh
install -m 644 scsh/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 644 scsh/odbc/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 644 scsh/linux/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 644 scsh/test/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 644 scsh/lib/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 644 scsh/rx/*.scm $RPM_BUILD_ROOT%{_libdir}/scsh/scsh
install -m 755 scsh/libscsh.a $RPM_BUILD_ROOT%{_libdir}/scsh
install -m 755 scsh/libscshvm.a $RPM_BUILD_ROOT%{_libdir}/scsh
install -m 755 scsh/scsh.image $RPM_BUILD_ROOT%{_libdir}/scsh
install -m 755 scshvm $RPM_BUILD_ROOT%{_libdir}/scsh

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_libdir}/*
%{_includedir}/*
%_mandir/man1/*

%changelog
* Mon Oct 14 2002 Ott Alex <ott@altlinux.ru> 0.6.2-alt2
- Fixing spec file

* Sun Sep 01 2002 Ott Alex <ott@altlinux.ru> 0.6.2-alt1
- Initial build

